Bug 440247 - (CVE-2008-1637) CVE-2008-1637 pdns-recursor: perdictable query ids
CVE-2008-1637 pdns-recursor: perdictable query ids
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=gentoo,reported=20080331,publi...
: Security
Depends On: 440248 440249 440250
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 10:27 EDT by Tomas Hoger
Modified: 2015-03-02 05:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 07:21:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-04-02 10:27:05 EDT
Amit Klein of Trusteer discovered and documented weakness in a way PowerDNS
Recursor generates DNS queries and transaction IDs used in DNS queries.  This
weakness can be used to predict transaction IDs used in a subsequent queries
after observing certain amount of consequent previous queries, leading to a high
possibility of performing a successful cache poisoning attack.

PowerDNS Recursor 3.1.5 was released to address this issue.

References:
http://www.trusteer.com/docs/powerdnsrecursor.html
http://doc.powerdns.com/powerdns-advisory-2008-01.html
http://mailman.powerdns.com/pipermail/pdns-users/2008-March/005279.html
http://www.securityfocus.com/archive/1/490330/30/
Comment 2 Tomas Hoger 2008-04-02 13:09:21 EDT
CVE-2008-1637 was assigned to this issue:

PowerDNS Recursor before 3.1.5 uses insufficient randomness to
calculate (1) TRXID values and (2) UDP source port numbers, which
makes it easier for remote attackers to poison a DNS cache, related to
(a) algorithmic deficiencies in rand and random functions in external
libraries, (b) use of a 32-bit seed value, and (c) choice of the time
of day as the sole seeding information.
Comment 3 Fedora Update System 2008-04-05 08:41:12 EDT
pdns-recursor-3.1.5-1.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-04-05 08:42:52 EDT
pdns-recursor-3.1.5-1.fc7 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-04-09 01:20:41 EDT
pdns-recursor-3.1.5-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-04-09 01:22:15 EDT
pdns-recursor-3.1.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Red Hat Product Security 2008-04-24 07:21:20 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-3010
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-3036


Note You need to log in before you can comment on or make changes to this bug.